﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Steema.TeeChart;

namespace SteemaTestApp
{
    
    public partial class Form1 : Form
    {

        public Form1()
        {
            InitializeComponent();
            InitChartData();
        }

        private void InitChartData()
        {
            DateTime startDate = new DateTime(2013,01,01);
            DateTime endDate = new DateTime(2013,1,31);

            candle1.Clear();

            double open = 1000, high = 1000, low = 1000, close = 1000;
            Random rnd = new Random(33);
            bool needBreak = false;
            
            while (startDate < endDate)
            {
                if (startDate.DayOfWeek == DayOfWeek.Saturday || startDate.DayOfWeek == DayOfWeek.Sunday)
                {
                    if (candle1.Count>0) needBreak = true;
                }
                else
                {
                    if (needBreak)
                    {
                        Steema.TeeChart.Tools.AxisBreak brk = new Steema.TeeChart.Tools.AxisBreak(axisBreaksTool1 );
                        brk.StartValue = candle1.DateValues.Last;
                        brk.EndValue = startDate.ToOADate();

                        axisBreaksTool1.Breaks.Add(brk);
                    }

                    for (int i = 0; i < 25; i++)
                    {
                        close = close + rnd.Next(-9, 10);
                        if (close > high) high = close;
                        if (close < low) low = close;
                    }

                    candle1.Add(startDate, open, high, low, close);

                    open = close;
                    high = close;
                    low = close;

                    needBreak = false;
                }
                

                startDate = startDate.AddMinutes(15);
            }

            tChart1.Axes.Bottom.Minimum = candle1.DateValues.First;
            tChart1.Axes.Bottom.Maximum = candle1.DateValues.Last;

            Steema.TeeChart.Tools.ScrollPager scroller = new Steema.TeeChart.Tools.ScrollPager(tChart1.Chart);
            scroller.Series= candle1;                
            scroller.DivisionRatio = 6;

        }

        private void tChart1_DblClick(object sender, EventArgs e)
        {
            tChart1.ShowEditor();
        }

        private void Form1_SizeChanged(object sender, EventArgs e)
        {
            //[]
            tChart1.Tools.OfType<Steema.TeeChart.Tools.ScrollPager>().First().Dispose();
            
            Steema.TeeChart.Tools.ScrollPager scroller = new Steema.TeeChart.Tools.ScrollPager(tChart1.Chart);
            scroller.Series = candle1;
            scroller.DivisionRatio = 6;

        }
    }
}
